<?php


//============================FOOTER SECTION=================================

//Scroll To Top Button
$wp_customize->add_setting('complete[totop_id]', array(
	'type' => 'option',
	'default' => '1',
	'sanitize_callback' => 'complete_sanitize_checkbox',
	'transport' => 'postMessage',
) );
			$wp_customize->add_control( new complete_Controls_Toggle_Control( $wp_customize, 'totop_id', array(
				'label' => __('Scroll To Top Button','complete'),
				'description' => __( 'Turn On/Off The button that appears on bottom right when you scroll down to pages.', 'complete' ),
				'section' => 'footercolors_section',
				'settings' => 'complete[totop_id]',
			)) );

// Footer Shape Background Color
$wp_customize->add_setting( 'complete[footer_shape_color_id]', array(
	'type' => 'option',
	'default' => '#f7f7f7',
	'sanitize_callback' => 'sanitize_hex_color',
	'transport' => 'postMessage',
) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_shape_color_id', array(
				'label' => __('Footer Shape Background Color','complete'),
				'section' => 'footercolors_section',
				'settings' => 'complete[footer_shape_color_id]',
			) ) );

// Footer Shape Background Color
$wp_customize->add_setting( 'complete[innerpage_footer_shape_color_id]', array(
	'type' => 'option',
	'default' => '#ffffff',
	'sanitize_callback' => 'sanitize_hex_color',
	'transport' => 'postMessage',
) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'innerpage_footer_shape_color_id', array(
				'label' => __('Innerpage Footer Shape Background Color','complete'),
				'section' => 'footercolors_section',
				'settings' => 'complete[innerpage_footer_shape_color_id]',
			) ) );

// Footer Background Color
$wp_customize->add_setting( 'complete[footer_color_id]', array(
	'type' => 'option',
	'default' => '#9b58b5',
	'sanitize_callback' => 'sanitize_hex_color',
	'transport' => 'postMessage',
) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_color_id', array(
				'label' => __('Footer Background Color','complete'),
				'section' => 'footercolors_section',
				'settings' => 'complete[footer_color_id]',
			) ) );

// Footer Background Image
	$wp_customize->add_setting( 'complete[footer_bg_image]',array( 
		'type' => 'option',
		'default' => ''.get_template_directory_uri().'/images/footer-bg.jpg',
		'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'footer_bg_image',array(
			'label'       => __( 'Footer Background Image', 'complete' ),
			'section'     => 'footercolors_section',
			'settings'    => 'complete[footer_bg_image]'
				)
			)
	);

//FOOTER Widget Text Color
$wp_customize->add_setting( 'complete[footwdgtxt_color_id]', array(
	'type' => 'option',
	'default' => '#ffffff',
	'sanitize_callback' => 'sanitize_hex_color',
	'transport' => 'postMessage',
) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footwdgtxt_color_id', array(
				'label' => __('Footer Text Color','complete'),
				'section' => 'footercolors_section',
				'settings' => 'complete[footwdgtxt_color_id]',
			) ) );


//FOOTER Widget Title Color
$wp_customize->add_setting( 'complete[footer_title_color]', array(
	'type' => 'option',
	'default' => '#ffffff',
	'sanitize_callback' => 'sanitize_hex_color',
	'transport' => 'postMessage',
) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_title_color', array(
				'label' => __('Footer Title Color','complete'),
				'section' => 'footercolors_section',
				'settings' => 'complete[footer_title_color]',
			) ) );
			
$wp_customize->add_setting( 'complete[footer_menu_color]', array(
	'type' => 'option',
	'default' => '#ffffff',
	'sanitize_callback' => 'sanitize_hex_color',
	'transport' => 'postMessage',
) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_menu_color', array(
				'label' => __('Footer Menu Color','complete'),
				'section' => 'footercolors_section',
				'settings' => 'complete[footer_menu_color]',
			) ) );
			
$wp_customize->add_setting( 'complete[footer_menu_hover_color]', array(
	'type' => 'option',
	'default' => '#fc7f0c',
	'sanitize_callback' => 'sanitize_hex_color',
	'transport' => 'postMessage',
) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_menu_hover_color', array(
				'label' => __('Footer Menu Hover Color','complete'),
				'section' => 'footercolors_section',
				'settings' => 'complete[footer_menu_hover_color]',
			) ) );
			
//FOOTER LAYOUT SELECT
$wp_customize->add_setting('complete[foot_layout_id]', array(
		'type' => 'option',
        'default' => '1',
		'sanitize_callback' => 'complete_sanitize_choices',
) );
 
			$wp_customize->add_control( new complete_Control_Radio_Image( $wp_customize, 'foot_layout_id', array(
					'type' => 'radio-image',
					'label' => __('Footer Layout','complete'),
					'section' => 'footercolors_section',
					'settings' => 'complete[foot_layout_id]',
					'choices' => array(
						'1' => array( 'url' => get_template_directory_uri().'/assets/images/foot-1-col.jpg', 'label' => 'Layout 1' ),
					),
			) ));			
			
//----------------------Footer Columns 1----------------------------------
	$wp_customize->add_setting('complete[foot_cols1_title]', array(
		'type' => 'option',
		'default'	=> __('FOLLOW US','complete'),
		'sanitize_callback' => 'wp_kses_post',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(	new WP_Customize_Text_Control( $wp_customize, 'foot_cols1_title', array( 
		'type' => 'text',
		'label'	=> __('Columns 1 Title','complete'),
		'section' => 'footer_columns_section',
		'settings' => 'complete[foot_cols1_title]',
	)) );	
	
$wp_customize->add_setting('complete[foot_cols1_content]', array(
	'type' => 'option',
	'default' => '[social_area][social icon="facebook" link="#"][social icon="twitter" link="#"][social icon="instagram" link="#"][social icon="pinterest" link="#"][social icon="google" link="#"][social icon="youtube" link="#"][/social_area]',
	'sanitize_callback' => 'wp_kses_post',
	'transport' => 'postMessage',
) );
			$wp_customize->add_control(	new complete_Editor_Control( $wp_customize, 'foot_cols1_content', array( 
				'type' => 'editor',
				'label' => __('Columns 1 Content','complete'), 
				'section' => 'footer_columns_section',
				'settings' => 'complete[foot_cols1_content]',
			)) );	
 	 
//----------------------Footer Columns 1----------------------------------		

//----------------------Footer Info Box ----------------------------------
	// Hide Section
	$wp_customize->add_setting('complete[hide_foot_infobox]',array(
		'type' => 'option',
		'default' => '0',
		'sanitize_callback' => 'complete_sanitize_checkbox',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new complete_Controls_Toggle_Control( $wp_customize, 'hide_foot_infobox', array(
		'label' => __('Hide This Section','complete'),
		'section' => 'footer_infobox_section',
		'settings' => 'complete[hide_foot_infobox]',
	)) );
	//Content
	$wp_customize->add_setting('complete[footer_infobox_content]', array(
		'type' => 'option',
		'default' => '<h2>Say Hello!</h2><p>Pellentesque feugiat purus sagittis odio cursus pellentesque. Phasellus ut libero a sem ultricies tincidunt. Cras metus mi, rutrum nec volutpat a, rhoncus a leo</p> <div>[contact-form-7 id="7" title="Contact form 1"]</div>',
		'sanitize_callback' => 'wp_kses_post',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control(	new complete_Editor_Control( $wp_customize, 'footer_infobox_content', array( 
		'type' => 'editor',
		'label' => __('Footer Info Box Content','complete'), 
		'section' => 'footer_infobox_section',
		'settings' => 'complete[footer_infobox_content]',
	)) );
		
	// Contact Form Box Background Color
	$wp_customize->add_setting( 'complete[contact_box_bgcolor]', array(
		'type' => 'option',
		'default' => '#ffffff',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_box_bgcolor', array(
		'label' => __('Contact Form Box Background Color','complete'),
		'section' => 'footer_infobox_section',
		'settings' => 'complete[contact_box_bgcolor]',
	)) );
	// Contact Form Box Title Color
	$wp_customize->add_setting( 'complete[contact_box_title_color]', array(
		'type' => 'option',
		'default' => '#282828',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_box_title_color', array(
		'label' => __('Contact Form Box Title Color','complete'),
		'section' => 'footer_infobox_section',
		'settings' => 'complete[contact_box_title_color]',
	)) );
	// Contact Form Box Description Color
	$wp_customize->add_setting( 'complete[contact_box_text_color]', array(
		'type' => 'option',
		'default' => '#474747',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_box_text_color', array(
		'label' => __('Contact Form Box Description Color','complete'),
		'section' => 'footer_infobox_section',
		'settings' => 'complete[contact_box_text_color]',
	)) );
	// Contact Form Input Color
	$wp_customize->add_setting( 'complete[contact_box_input_shadow_color]', array(
		'type' => 'option',
		'default' => '#eaeaea',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_box_input_shadow_color', array(
		'label' => __('Contact Form Input Type Shadow Color','complete'),
		'section' => 'footer_infobox_section',
		'settings' => 'complete[contact_box_input_shadow_color]',
	)) );
	// Contact Form Submit Button Background Color
	$wp_customize->add_setting( 'complete[contact_box_btn_bgcolor]', array(
		'type' => 'option',
		'default' => '#fc7f0c',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_box_btn_bgcolor', array(
		'label' => __('Contact Form Submit Button Background Color','complete'),
		'section' => 'footer_infobox_section',
		'settings' => 'complete[contact_box_btn_bgcolor]',
	)) );
	// Contact Form Submit Button Color
	$wp_customize->add_setting( 'complete[contact_box_btn_color]', array(
		'type' => 'option',
		'default' => '#ffffff',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport' => 'postMessage',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_box_btn_color', array(
		'label' => __('Contact Form Submit Button Color','complete'),
		'section' => 'footer_infobox_section',
		'settings' => 'complete[contact_box_btn_color]',
	)) );